<?php
/**
* @return This template display advance search form.
*/
?>

<div class="sfc-full-width-advance-search">
	<h2 class="sfc-advance-filter-title"><?php esc_html_e( 'SEARCH PRODUCTS', 'hardware-store' ); ?></h2>
	<div class="col-full sfc-advance-search-container">
		<div class="sfc-searhc-field">
			<div class="sfc-search-by-category-keywords">
				<span class="sfc-keyword-lable"><?php esc_html_e( 'Search by keyword:', 'hardware-store' ); ?></span>

				<!-- keywords filed  -->
				<span class="sfc-keywords-field">
					<form role="search" method="get" class="woocommerce-product-search" action="<?php echo esc_url( home_url( '/'  ) ); ?>">

						<?php
						 	$selected = isset( $_GET['product_cat'] ) ? $_GET['product_cat'] : '';
							$args = array(
								'taxonomy' => 'product_cat',
								'option_none_value' => '',
								'name' => 'product_cat',
								'show_option_none' => esc_html__( 'Select a Category', 'hardware-store' ),
								'selected' => esc_html( $selected ),
								'value_field' => 'slug'
							);
							wp_dropdown_categories( $args );
						?>
						<label class="screen-reader-text" for="woocommerce-product-search-field"><?php esc_html_e( 'Search for:', 'hardware-store' ); ?></label>
						<input type="search" id="woocommerce-product-search-field" class="search-field" placeholder="<?php echo esc_attr_x( 'Search Products&hellip;', 'placeholder', 'hardware-store' ); ?>" value="<?php echo get_search_query(); ?>" name="s" title="<?php echo esc_attr_x( 'Search for:', 'label', 'hardware-store' ); ?>" />
						<input type="submit" value="<?php echo esc_attr_x( 'Search', 'submit button', 'hardware-store' ); ?>" />
						<input type="hidden" name="post_type" value="product" />
						
					</form>
				</span>			
			</div>
			<div class="sfc-product-by-category">
				<?php 
					$shoppage_id = get_option( 'woocommerce_shop_page_id' );
					if (  ! empty( $shoppage_id ) ) {
					  $shoppage_url = get_permalink( absint( $shoppage_id ) );
					} else {
						$shoppage_url = home_url( '/' ).'shop';
					}
					if( class_exists( 'WOOF' ) ) {
						the_widget( 'WOOF_Widget' );
					}

				?>
			</div>
		</div>
	</div>
</div>