/*
* Theme custom js
*/

jQuery( document ).ready( function ( $ ) {
	//show the filter after the page loads completely
	$( '.sfc-product-by-category' ).css( 'visibility', 'visible' );
	//add class on woof product filter form
	$( '.widget-woof' ).css( "display", "block" );
	$( '.sfc-product-by-category' ).find( '.woof_container').addClass( 'col-md-3 col-sm-3 col-lg-3 col-xs-12' );

	/*
	* showing active attributes
	*/
	$( '.sfc-variable-image-list .sfc-variable-list-items li:first-child' ).addClass( 'sfc-variation-active');
	//switching varibale price and its featured image
	$( '.sfc-variable-image-list .sfc-variable-list-items li' ).click( function() {
		var variation_id = $( this ).attr( "variation-id" );
		$(this).parent().find( '.sfc-variable-list-item ').removeClass( 'sfc-variation-active');
		$(this).parent().parent().parent().find( '.sfc-variable-price-list .sfc-variable-list-items li').each(function(){
			var new_variation_id = $(this).attr("variation-id");
			if(new_variation_id == variation_id){
				$(this).show();
			} else {
				$(this).hide();
			}
		});
		$(this).addClass( 'sfc-variation-active');

	}); 

	/*
	* single variable attributes
	*/
	$( '.sfc-variable-image-list .sfc-variable-list-items li' ).click( function() {
		var variation_id = $(this).attr('variation-id');
		var product_id = $(this).attr( 'product-id' );
		var attribute_name = $(this).attr( 'attribute_name' );
		var attribute_value = $(this).attr( 'attribute_value' );
		$(this).parents('.sfc-cart' ).find( '.sfc-variable-cart .quantity input' ).prop('disabled', true);
		$(this).parents('.sfc-cart' ).find( '.sfc-variable-cart .single_add_to_cart_button' ).addClass( 'disabled');
		$(this).parents('.sfc-cart' ).find( '.sfc-variable-cart .single_add_to_cart_button' ).prop('disabled', true);
		//single product
		$(this).parents('.sfc-single-product-add-to-cart' ).find( '.sfc-variable-cart .quantity input' ).prop('disabled', true);
		$(this).parents('.sfc-single-product-add-to-cart' ).find( '.sfc-variable-cart .single_add_to_cart_button' ).addClass( 'disabled');
		$(this).parents('.sfc-single-product-add-to-cart' ).find( '.sfc-variable-cart .single_add_to_cart_button' ).prop('disabled', true);
		//ask for quote
		$(this).parents('.sfc-product-data' ).find( '.sfc-ask-for-quote .add-request-quote-button' ).addClass( 'disabled quote-not-active');
		var variation_data = {
			'action' : 'sfc_variation_data',
			'product_id' : product_id,
			'variation_id' : variation_id,
			'attribute_name' : attribute_name,
			'attribute_value' : attribute_value
		}

		jQuery.post( sfc_ajax_url.sfc_ajaxurl, variation_data, function( response ) {
           $(  '.sfc-variable-cart' ).html( response );
           $( '.sfc-ask-for-quote .add-request-quote-button' ).removeClass( 'disabled  quote-not-active' );
        });

	});

	


	//related product slider
	$('.sfc-related-products-slider ul.products').bxSlider({
		pager:false,
		touchEnabled:false,
		minSlides: 1,
	  	maxSlides: 4,
	  	slideWidth:260,
	  	slideMargin:10,
		nextSelector: '#slider-next',
		prevSelector: '#slider-prev',
		nextText: 'Next',
		prevText: 'Previous',
		onSliderLoad: function(){ 
            jQuery(".sfc-related-products-slider").css("visibility", "visible");
            jQuery( '.sfc-related-control' ).css("visibility", "visible");
        }
	});

	var sfc_window_width = $( window ).width();

	if( sfc_window_width < 768 ) {
		var footer_handheld_height = $( '.storefront-handheld-footer-bar' ).height();
		$( '.sfc_site_footer' ).css( 'margin-bottom', footer_handheld_height );
	} else {

		//place information inbetween of top header
		var hds_top_header_height = $( '.sfc-top-header' ).height();
		if( hds_top_header_height ) {
			$( '.sfc-top-left, .sfc-top-right ').css( 'line-height', hds_top_header_height + 'px' );
		}
	}

	//add alt to add-request-quote-button  class
	$( '.add-request-quote-button.button' ).addClass( 'alt' );

})//end of load function


jQuery( document ).on( "yith-wcan-ajax-filtered", function( $ ) {

    /*
	* showing active attributes
	*/
	jQuery( '.sfc-variable-image-list .sfc-variable-list-items li:first-child' ).addClass( 'sfc-variation-active');
	//switching varibale price and its featured image
	jQuery( '.sfc-variable-image-list .sfc-variable-list-items li' ).click( function() {
		var variation_id = jQuery( this ).attr( "variation-id" );
		jQuery(this).parent().find( '.sfc-variable-list-item ').removeClass( 'sfc-variation-active');
		jQuery(this).parent().parent().parent().find( '.sfc-variable-price-list .sfc-variable-list-items li').each(function(){
			var new_variation_id = jQuery(this).attr("variation-id");
			if(new_variation_id == variation_id){
				jQuery(this).show();
			} else {
				jQuery(this).hide();
			}
		});
		jQuery(this).addClass( 'sfc-variation-active');

	}); 

	/*
	* single variable attributes 
	*/
	jQuery( '.sfc-variable-image-list .sfc-variable-list-items li' ).click( function() {
		var variation_id = jQuery(this).attr('variation-id');
		var product_id = jQuery(this).attr( 'product-id' );
		var attribute_name = jQuery(this).attr( 'attribute_name' );
		var attribute_value = jQuery(this).attr( 'attribute_value' );
		jQuery(this).parents('.sfc-cart' ).find( '.sfc-variable-cart .quantity input' ).prop('disabled', true);
		jQuery(this).parents('.sfc-cart' ).find( '.sfc-variable-cart .single_add_to_cart_button' ).addClass( 'disabled');
		jQuery(this).parents('.sfc-cart' ).find( '.sfc-variable-cart .single_add_to_cart_button' ).addClass( 'disabled');
		jQuery(this).parents('.sfc-product-data' ).find( '.sfc-ask-for-quote .add-request-quote-button' ).addClass('disabled' );
		//single product
		jQuery(this).parents('.sfc-single-product-add-to-cart' ).find( '.sfc-variable-cart .quantity input' ).prop('disabled', true);
		jQuery(this).parents('.sfc-single-product-add-to-cart' ).find( '.sfc-variable-cart .single_add_to_cart_button' ).addClass( 'disabled');
		jQuery(this).parents('.sfc-single-product-add-to-cart' ).find( '.sfc-variable-cart .single_add_to_cart_button' ).prop('disabled', true);
		var variation_data = {
			'action' : 'sfc_variation_data',
			'product_id' : product_id,
			'variation_id' : variation_id,
			'attribute_name' : attribute_name,
			'attribute_value' : attribute_value
		}

		jQuery.post( sfc_ajax_url.sfc_ajaxurl, variation_data, function( response ) {
           jQuery(  '.sfc-variable-cart' ).html( response );
        });

	});
});